

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>README &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="up" title="Essentials" href="index.html" />
    <link rel="next" title="GNU General Public License" href="LICENCE.html" />
    <link rel="prev" title="Essentials" href="index.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="LICENCE.html" title="GNU General Public License"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="index.html" title="Essentials"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" accesskey="U">Essentials</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="readme">
<h1>README<a class="headerlink" href="#readme" title="Permalink to this headline">¶</a></h1>
<dl class="docutils">
<dt>Python software for USB Wireless WeatherStations (pywws).</dt>
<dd><a class="reference external" href="http://code.google.com/p/pywws/">http://code.google.com/p/pywws/</a></dd>
</dl>
<p>Copyright 2008-12 Jim Easterbrook (<a class="reference external" href="mailto:jim&#37;&#52;&#48;jim-easterbrook&#46;me&#46;uk">jim<span>&#64;</span>jim-easterbrook<span>&#46;</span>me<span>&#46;</span>uk</a>), derived from previous work by Michael Pendec (<a class="reference external" href="mailto:michael&#46;pendec&#37;&#52;&#48;gmail&#46;com">michael<span>&#46;</span>pendec<span>&#64;</span>gmail<span>&#46;</span>com</a>) and Svend Skafte (<a class="reference external" href="mailto:svend&#37;&#52;&#48;skafte&#46;net">svend<span>&#64;</span>skafte<span>&#46;</span>net</a>)</p>
<p>This software is not released through any official channels, and therefore do not expect any support.</p>
<dl class="docutils">
<dt>This software is in no way affiliated or related to</dt>
<dd><a class="reference external" href="http://www.foshk.com">http://www.foshk.com</a>, Fine Offset Electronics Co.,LTD.</dd>
<dt>Licence terms:</dt>
<dd><p class="first">This softare is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.</p>
<p>This softare is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.</p>
<p class="last">You should have received a copy of the GNU General Public License along with this softare; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.</p>
</dd>
</dl>
<p>Dependencies:</p>
<ul>
<li><p class="first">Python (<a class="reference external" href="http://www.python.org/">http://www.python.org/</a>) version 2.4 or higher
(note: Python 3 is not supported)</p>
</li>
<li><p class="first">USB library:</p>
<ul>
<li><p class="first">option 1 (best for small systems such as routers):</p>
<blockquote>
<ul class="simple">
<li>libusb (<a class="reference external" href="http://www.libusb.org/">http://www.libusb.org/</a>) version 0.1.12
(note: libusb 1 is not supported)</li>
<li>PyUSB (<a class="reference external" href="http://sourceforge.net/apps/trac/pyusb/">http://sourceforge.net/apps/trac/pyusb/</a>) version 0.4.x</li>
</ul>
</blockquote>
</li>
<li><p class="first">option 2 (best for Linux PCs and Macs):</p>
<blockquote>
<ul class="simple">
<li>hidapi (<a class="reference external" href="https://github.com/signal11/hidapi">https://github.com/signal11/hidapi</a>)
(note: hidapi on Linux can use libusb version 1.0)</li>
<li>cython-hidapi (<a class="reference external" href="https://github.com/gbishop/cython-hidapi">https://github.com/gbishop/cython-hidapi</a>)</li>
<li>cython (<a class="reference external" href="http://cython.org/">http://cython.org/</a>)</li>
</ul>
</blockquote>
</li>
</ul>
</li>
<li><p class="first">For graph drawing:</p>
<ul class="simple">
<li>gnuplot (<a class="reference external" href="http://www.gnuplot.info/">http://www.gnuplot.info/</a>) v4.2 or higher</li>
</ul>
</li>
<li><p class="first">For secure website uploading (sftp):</p>
<ul class="simple">
<li>paramiko (<a class="reference external" href="http://www.lag.net/paramiko/">http://www.lag.net/paramiko/</a>)</li>
<li>pycrypto (<a class="reference external" href="http://www.dlitz.net/software/pycrypto/">http://www.dlitz.net/software/pycrypto/</a>)</li>
</ul>
</li>
<li><p class="first">For Twitter updates:</p>
<ul class="simple">
<li>tweepy (<a class="reference external" href="http://code.google.com/p/tweepy/">http://code.google.com/p/tweepy/</a>)</li>
<li>simplejson (<a class="reference external" href="http://pypi.python.org/pypi/simplejson">http://pypi.python.org/pypi/simplejson</a>)
(note: simplejson is included in Python 2.6 or higher)</li>
</ul>
</li>
<li><p class="first">To create new language translations:</p>
<ul class="simple">
<li>gettext (<a class="reference external" href="http://www.gnu.org/s/gettext/">http://www.gnu.org/s/gettext/</a>)</li>
</ul>
</li>
</ul>
<p>Many of these dependencies are available as packages for most Linux distributions. This provides an easier way to install them than downloading source from the project websites. Note that the package names may be slightly different, e.g. python-usb instead of pyusb.</p>
<p>This software collection currently includes the following files:</p>
<ul class="simple">
<li>README.txt                 &#8211; you are reading it!</li>
<li>CHANGELOG.txt              &#8211; development history</li>
<li>LICENCE.txt                &#8211; GNU General Public License</li>
<li>TestWeatherStation.py      &#8211; test communication with weather station</li>
<li>USBQualityTest.py          &#8211; test for USB communication errors</li>
<li>Hourly.py                  &#8211; run from cron or</li>
<li>LiveLog.py                 &#8211; run continuously</li>
<li>EWtoPy.py                  &#8211; converts EasyWeather.dat to DataStore format</li>
<li>Reprocess.py               &#8211; regenerates summary data</li>
<li>TwitterAuth.py             &#8211; authorise pywws to post to Twitter</li>
<li>setup.py                   &#8211; builds distributions</li>
<li>makefile                   &#8211; compiles language files and generates HTML documentation</li>
<li>pywws/*.py                &#8211; the pywws software modules</li>
<li>example_graph_templates/* &#8211; example graph XML &#8220;recipes&#8221;</li>
<li>example_templates/*       &#8211; example text templates</li>
<li>example_modules/*         &#8211; example calibration modules</li>
<li>doc/html/*                &#8211; HTML documentation of most of the above</li>
<li>doc/text/*                &#8211; plain text documentation</li>
<li>doc_src/*                 &#8211; documentation source files</li>
<li>languages/*               &#8211; language source files</li>
<li>locale/*                  &#8211; compiled language files</li>
</ul>
<dl class="docutils">
<dt>Upgrading from earlier versions:</dt>
<dd>Back up your data, then run Reprocess.py to regenerate summary data.</dd>
<dt>Getting started:</dt>
<dd>See doc/guides/getstarted: <a class="reference internal" href="../guides/getstarted.html"><em>How to get started with pywws</em></a>.</dd>
</dl>
<p>Comments or questions? Please subscribe to the pywws mailing list <a class="reference external" href="http://groups.google.com/group/pywws">http://groups.google.com/group/pywws</a> and let us know.</p>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="index.html"
                        title="previous chapter">Essentials</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="LICENCE.html"
                        title="next chapter">GNU General Public License</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="LICENCE.html" title="GNU General Public License"
             >next</a> |</li>
        <li class="right" >
          <a href="index.html" title="Essentials"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" >Essentials</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>